astro py:docs

- Index
- Modules

### Navigation

- next »
- « previous |
- Astropy v1.1.1 »
- Models and Fitting (`astropy.modeling`) »
- Optimization

# Optimization

class `astropy.modeling.optimizers.``Optimization`(opt_method)

  Bases: `object`

  Base class for optimizers.

  Parameters:

  opt_method : callable

  > Implements optimization method

  Notes

  The base Optimizer does not support any constraints by default; individual optimizers should explicitly set this list to the specific constraints it supports.

  Attributes Summary

  `acc` | Requested accuracy
  `eps` | Step for the forward difference approximation of the Jacobian
  `maxiter` | Maximum number of iterations
  `opt_method` |
  `supported_constraints` |

  Methods Summary

  `__call__`() |

  Attributes Documentation

  `acc`

    Requested accuracy

  `eps`

    Step for the forward difference approximation of the Jacobian

  `maxiter`

    Maximum number of iterations

  `opt_method`
  `supported_constraints` = []

  Methods Documentation

  `__call__`()